make_atomic_impl.hpp File Reference

Implementation details of atomic allocation and construction. More...

`#include <new>`
`#include <stddef.h>`
`#include "libpmemobj++/detail/array_traits.hpp"`
`#include "libpmemobj++/detail/integer_sequence.hpp"`
`#include "libpmemobj++/detail/life.hpp"`
Include dependency graph for make_atomic_impl.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

Implementation details of atomic allocation and construction.